<template>
    <div>
        <div class="padding-top">
            <el-header height="80px" style="margin: 0 12rem;">
                <ReturnButton v-on:clickEvent="returnPage"  title="Ir a Películas" :offsetArrow="20" :spanTitle="3" class="text-end" ></ReturnButton>
            </el-header>
            <el-main style="margin: 1rem 8rem 3rem">
                <el-steps :active="active" finish-status="success" style="margin: 0 0 4rem; " align-center>
                    <el-step title="DATOS"></el-step>
                    <el-step title="INFORMACIÓN ARTÍSTICA"></el-step>
                    <el-step title="FICHA TÉCNICA"></el-step>
                    <el-step title="OBSERVACIONES"></el-step>
                    <el-step title="ESTADO"></el-step>
                </el-steps>

                <el-button style="margin-top: 12px;" @click="next">Next step</el-button>
            </el-main>
        </div>
    </div>
</template>

<script>
import ReturnButton from '@/components/ReturnButton.vue'

export default {
    data() {
      return {
        active: 0
      };
    },
    components: {
        ReturnButton
    },
    methods: {
        returnPage () {
        this.$router.push({ name: ''})
        },
        next() {
        if (this.active++ > 4) this.active = 0;
      },
    }
}
</script>

<style>
.el-step__title.is-finish {
    color: #ff5000;
}
</style>
